For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Product
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • GETGet Taxonomy Parent by Id
      • GETGet Taxonomies
      • POSTUsed to Create a new Channel Metadata Entry for a given Variant
      • GETGet Packaging Requirement
      • GETGet Taxonomy by Id
LogoLogo
API ReferenceProducts

Update specific channel metadata record from a variant by channel metadata ID

||View as Markdown|
PUT
https://sandbox-api.shipbob.com/2.0/variant/:variantId/channel-metadata/:channelMetadataId
PUT
/2.0/variant/:variantId/channel-metadata/:channelMetadataId
$curl -X PUT https://sandbox-api.shipbob.com/2.0/variant/1/channel-metadata/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "asin": "string",
> "fnsku": "string",
> "fulfillment_channel": "string",
> "channel_id": 0,
> "currency": "string",
> "id": 0,
> "is_inventory_sync_enabled": true,
> "platform": "string",
> "platform_identifier": "string",
> "platform_inventory_item_id": "string",
> "price": 0.1,
> "seller_sku": "string"
>}'
1{
2 "associated_bundles": [
3 {
4 "product_id": 0,
5 "product_name": "string",
6 "quantity": 0,
7 "variant_id": 0,
8 "variant_sku": "string"
9 }
10 ],
11 "barcode": "string",
12 "bundle_definition": [
13 {
14 "product_id": 0,
15 "quantity": 0,
16 "variant_id": 0,
17 "variant_name": "string",
18 "variant_sku": "string"
19 }
20 ],
21 "channel_metadata": [
22 {
23 "channel_id": 0,
24 "channel_name": "string",
25 "currency": "string",
26 "id": 0,
27 "is_inventory_sync_enabled": true,
28 "legacy_product_id": 0,
29 "platform": "string",
30 "platform_identifier": "string",
31 "platform_inventory_item_id": "string",
32 "price": 0.1,
33 "seller_sku": "string"
34 }
35 ],
36 "created_on": "2019-08-24T14:15:22+00:00",
37 "customs": {
38 "country_code_of_origin": "string",
39 "currency": "string",
40 "description": "string",
41 "hs_tariff_code": "string",
42 "is321_eligible": true,
43 "value": 0
44 },
45 "dimension": {
46 "height": 0.1,
47 "length": 0.1,
48 "unit": "string",
49 "width": 0.1
50 },
51 "fulfillment_settings": {
52 "dangerous_goods": true,
53 "is_bpm_parcel": true,
54 "is_case_pick": true,
55 "msds_url": "string",
56 "requires_prop65": true,
57 "serial_scan": {
58 "exact_character_length": 0,
59 "is_enabled": true,
60 "prefix": "string",
61 "suffix": "string"
62 }
63 },
64 "gtin": "string",
65 "id": 0,
66 "inventory": {
67 "inventory_id": 0,
68 "on_hand_qty": 0
69 },
70 "is_digital": true,
71 "lot_information": {
72 "is_lot": true,
73 "minimum_shelf_life_days": 0
74 },
75 "name": "string",
76 "packaging_material_type": {
77 "id": 0,
78 "name": "string"
79 },
80 "packaging_requirement": {
81 "id": 0,
82 "name": "string"
83 },
84 "return_preferences": {
85 "backup_action": {
86 "id": 0,
87 "name": "string"
88 },
89 "instructions": "string",
90 "primary_action": {
91 "id": 0,
92 "name": "string"
93 },
94 "return_to_sender_backup_action": {
95 "id": 0,
96 "name": "string"
97 },
98 "return_to_sender_primary_action": {
99 "id": 0,
100 "name": "string"
101 }
102 },
103 "sku": "string",
104 "status": "string",
105 "upc": "string",
106 "updated_on": "2019-08-24T14:15:22+00:00",
107 "weight": {
108 "unit": "string",
109 "weight": 0.1
110 }
111}
Was this page helpful?
Previous

Create single product to the store

Next

Used to delete a specific channel metadata record from a variant by channel metadata ID

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

variantIdlongRequired
The ID of the variant to update the metadata from
channelMetadataIdlongRequired
The ID of the channel metadata record to update

Request

objectRequired
OR
objectRequired
OR
objectRequired
OR
objectRequired

Response

Success
associated_bundleslist of objects
barcodestring
bundle_definitionlist of objects
channel_metadatalist of objects
created_ondatetime
customsobject
dimensionobject
fulfillment_settingsobject
gtinstring
idlong
inventoryobject
is_digitalboolean
lot_informationobject
namestring
packaging_material_typeobject
packaging_requirementobject
return_preferencesobject
skustring
statusstring
upcstring
updated_ondatetime
weightobject

Errors

400
Bad Request Error
404
Not Found Error